@charset "UTF-8";
/* CSS Document */

html {
    scroll-behavior: smooth;
}body{
	
	margin: 0 auto;
	font-family: "Montserrat","Helvetica Neue",Arial,"Hiragino Kaku Gothic ProN","Hiragino Sans",Meiryo,sans-serif;
}

.font-light{font-weight: 300}
.font-regular { font-weight: 400; }
.font-medium { font-weight: 500; }
.font-bold { font-weight: 700; }

.size-8px { font-size: 0.5rem; }
.size-10px { font-size: 0.625rem; }
.size-14px { font-size: 0.7rem; }
.size-16px { font-size: 1rem; }
.size-24px { font-size: 1.5rem; }

.text-48px { font-size: 3rem; }
.text-left { text-align: left; }
.text-center { text-align: center; }
.text-wh { color: #fff; }
.text-gy { color: #544F4D; }
.text-or {color:#D93100;margin-right: 1rem;}

.mb-16px { margin-bottom: 1rem; }
.mb-18px { margin-bottom: 1.125rem; }
.mb-20px { margin-bottom: 1.25rem; }
.mb-24px { margin-bottom: 1.5rem; }
.mb-64px { margin-bottom: 4rem; }
.mb-72px { margin-bottom: 4.5rem; }
.mb-100px { margin-bottom: 6.25rem; }

.mt-60px { margin-top: 3.75rem; }

.lh-16px { line-height: 1rem; }
.lh-24px {line-height: 1.5rem;}



/* ヘッダー--------------------------------------------------------------------------- */
/* Navbar & Navmenu color */
:root {
  --background-navbar: #007E89;
}

.header {
  margin: 0 auto;
  background: var(--background-navbar);
  position: fixed;
  width: 100%;
  height: 52px;
}

/* Nav items */
.menu {
  list-style: none;
  position: absolute;
  width: 100%;
  height: auto;
  top: 0;
  margin-top: 52px;
  padding: 0 0 10px 0;
  clear: both;
  background: var(--background-navbar);
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
  transform: scale(1, 0);
  transform-origin: top;
}

/* Hamburger menu button */
.menu-btn:checked ~ .menu {
  transform: scale(1, 1);
  transform-origin: top;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

/* Hamburger menbu text */
.menu a {
  text-decoration: none;
  font-weight: 500;
  letter-spacing: 2px;
  font-size: 16px;
  text-transform: capitalize;
  color: #FFFFFF;
  opacity: 0;
  transition: 0.5s;
}

.menu li {
  border-top: 1px solid rgb(75, 75, 75);
  padding: 15px 0;
  margin: 0 54px;
  opacity: 0;
  transition: 0.5s;
}

.menu-btn:checked ~ .menu a,
.menu-btn:checked ~ .menu li {
  opacity: 1;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.2s;
}

.menu-btn {
  display: none;
}

.menu-icon {
  display: inline-block;
  position: relative;
  cursor: pointer;
  padding: 24px 14px;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.navicon {
  background: #FFFFFF;
  display: block;
  height: 3px;
  width: 26px;
  position: relative;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

.navicon:before,
.navicon:after {
  content: "";
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  background: #FFFFFF;
  transition: 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}

.navicon:before {
  top: 9px;
}

.navicon:after {
  bottom: 9px;
}

/* Hamburger Menu Animation Start */
.menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}

.menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}

.menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before {
  top: 0;
}
.menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  bottom: 0;
}

.menu-btn:checked ~ .menu-icon .navicon {
  background: rgba(0, 0, 0, 0);
  transition: 0.2192s cubic-bezier(0.04, 0.04, 0.12, 0.96) 0.1008s;
}
/* Hamburger Menu Animation End */

/* Navbar Container */
.navtext-container {
  width: 100%;
  height: 52px;
  position: absolute;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Navbar Text */
.navtext {
  position: absolute;
  text-transform: uppercase;
  color: #FFFFFF;
  letter-spacing: 1px;
  font-size: 0.7rem;
}

/* ここまでヘッダー--------------------------------------------------------------------------- */


.scroll{
	position: fixed;
	margin-top: 100vw;
	margin-left: 4vw;
}
.scroll img{
	height:45vw;
	width: auto;
	
}


/* ここからイントロー--------------------------------------------------------------------------- */

main{
	
}

.introduction{
	padding-top: 10vh;
	padding-bottom: 10rem;
	width:100vw;
	height:85vh;
	background:url("img/introbg.jpg") no-repeat center center;
	background-size: cover;
	text-align: center;
}

.intro-text{
}
.intro-text h1{
	line-height: 1.5rem;
}

.intro-text p{
	margin-top: -1.55rem;
}


/* ここからabout--------------------------------------------------------------------------- */

.about-me{
	background-color: #007E89;
	padding-top:5vw;
	padding-bottom: 10vw;
	width:100vw;
	height:auto;
	text-align: center
}
.about-me-text{
	margin: 0 auto;
}
.about-me-text p{
	line-height: 1.5rem;
}


/*ここからworks---------------------------------------------------------------------------------*/

.gallery {
	margin-top: 10VW;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0px; /* 各作品の間隔 */
}

.item {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-decoration: none;
    color: #333;
    width: 60%; /* スマホサイズに適応 */
    max-width: 600px;
}

.item img {
    width: 100%;
    aspect-ratio: 1 / 1; /* 正方形を維持 */
    object-fit: cover; /* 画像の比率を維持 */
    border-radius: 10px; /* 角丸にする（好みに応じて） */
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
}

.comingsoon {
	padding-top: 40px 0 0 0;
	color: #FFFFFF;
	text-align: center;
	background-color: #007E89;
    width: 100%;
    aspect-ratio: 1 / 1; /* 正方形を維持 */
    object-fit: cover; /* 画像の比率を維持 */
    border-radius: 10px; /* 角丸にする（好みに応じて） */
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
}

.comingsoon p{
	margin: 50% auto ;
	font-weight: 700;
}
.item p {
    margin-top: 0.5rem;
    font-size: 1.1rem;
    font-weight: 300;
}


/*ここまでworks---------------------------------------------------------------------------------*/
/*ここからfooter---------------------------------------------------------------------------------*/

footer {
    background-color: #007E89;
    color: #fff;
    text-align: center;
    padding: 15px;
    font-size: 14px;
	z-index: 1000;
}

footer a {
    color: #1DA1F2;
    text-decoration: none;
    font-weight: bold;
	
}


footer a:hover {
    text-decoration: underline;
    color: #ff4500;
}

.social-icon {
    width: 30px;
    height: 30px;
    margin: 0 10px;
    vertical-align: middle;
    transition: transform 0.3s ease;
}

.social-icon:hover {
    transform: scale(1.2);
}


@media screen and (min-width: 1023px) {
	
.introduction{
	margin: 0 auto;
	width:50vw;
	height:100vh;
	background:url("img/introbg.jpg") no-repeat center center;
	background-size: cover;
	text-align: center;
}
	
.scroll{
	position: fixed;
	margin-top: 40vw;
	margin-left: 10vw;
}
.scroll img{
	height:16vw;
	width: auto;
	
}

	
}

